function init(enableContextMenu)
{
  window.checkBoxes = getElement('imlLog').getElementsByTagName('input');
  var columns = getElement('imlLog').getElementsByTagName('th');
  var count = columns.length;
  for (var i=0; i<count; i++)
  {
    columns[i].onclick = function ()
    {
      sortTable(this.className);
    }
  }
  parent.Frontend.imlLog.checkAllButton.enable();
  parent.Frontend.imlLog.uncheckAllButton.enable();
  parent.Frontend.imlLog.clearButton.enable();
  parent.Frontend.imlLog.saveButton.enable();
  parent.Frontend.imlLog.addNoteButton.enable();
  parent.Frontend.imlLog.repairButton.enable();
  parent.Frontend.imlLog.shadowBox.hide();
  if (enableContextMenu === false)
    document.oncontextmenu = function () { return false; };
  addEvent(document, 'keydown', function (event)
  {
    parent.Frontend.checkKeyCommand(event);
  });
}

function toggleCheckBoxes(bool)
{
  var count = window.checkBoxes.length;
  for (var i=0; i<count; i++)
    window.checkBoxes[i].checked = bool
}

function sortTable(column)
{
  parent.Frontend.imlLog.sortTable(column);
}

function getSelectedCheckBoxes()
{
  var selected = [];
  var checkBoxes = window.checkBoxes;
  var count = checkBoxes.length;
  for (var i=0; i<count; i++)
  {
    if (checkBoxes[i].checked == true)
      selected.push(checkBoxes[i].value);
  }
  return selected;
}
