%define name bnx2x
%define version 1.45.19

%define debug_package %{nil}

Summary: Broadcom NetXtreme II 10-Gigabit Ethernet driver
Name: %{name}
Version: %{version}
Release: 2
Vendor: Broadcom Corporation
License: GPL
Group: System Environment/Base
Source: %{name}-%{version}.tar.bz2
BuildRoot: /var/tmp/%{name}-buildroot

%description
This package contains the Broadcom NetXtreme II 10-Gigabit Ethernet driver.

%prep
%setup -T -b 0

%build
value=%{?KVER}
if [ -z "$value" ];then
	KVER=$(uname -r)
else
	KVER=$value
fi
make KVER=$KVER

%install
value=%{?KVER}
if [ -z "$value" ];then
	KVER=$(uname -r)
else
	KVER=$value
fi

BCM_DRV=%{name}.ko
#BCM_DIR=kernel/drivers/net
BCM_DIR=updates

echo "%defattr(-,root,root)" > $RPM_BUILD_DIR/file.list.%{name}

echo "/lib/modules/$KVER/$BCM_DIR/$BCM_DRV" >> $RPM_BUILD_DIR/file.list.%{name}
mkdir -p $RPM_BUILD_ROOT/lib/modules/$KVER/$BCM_DIR

echo "/usr/share/man/man4/%{name}.4.*" >> $RPM_BUILD_DIR/file.list.%{name}
mkdir -p $RPM_BUILD_ROOT/usr/share/man/man4

make install KVER=$KVER PREFIX=$RPM_BUILD_ROOT
if [ -f $RPM_BUILD_ROOT/lib/modules/$KVER/extra/$BCM_DRV ];then
	cp $RPM_BUILD_ROOT/lib/modules/$KVER/extra/$BCM_DRV $RPM_BUILD_ROOT/lib/modules/$KVER/$BCM_DIR
	rm -rf $RPM_BUILD_ROOT/lib/modules/$KVER/extra
fi
rm -f $RPM_BUILD_ROOT/lib/modules/$KVER/modules.*

%post
depmod -a > /dev/null 2> /dev/null
exit 0

%postun
depmod -a > /dev/null 2> /dev/null
exit 0

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{name}

%files -f ../file.list.%{name}
%doc LICENSE README.TXT RELEASE.TXT

%changelog
